For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
      • GETGet Signature Request
      • GETList Signature Requests
      • GETDownload Files
      • GETDownload Files as Data Uri
      • GETDownload Files as File Url
      • POSTSend Signature Request
      • POSTSend with Template
      • POSTBulk Send with Template
      • POSTSend Request Reminder
      • POSTRelease On-Hold Signature Request
      • POSTUpdate Signature Request
      • POSTCancel Incomplete Signature Request
      • POSTRemove Signature Request Access
      • POSTEmbedded Bulk Send with Template
      • POSTCreate Embedded Signature Request
      • POSTCreate Embedded Signature Request with Template
      • PUTEdit Signature Request
      • PUTEdit Embedded Signature Request
      • PUTEdit Embedded Signature Request with Template
      • PUTEdit Signature Request With Template
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
    • Glossary
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceSignature Request

List Signature Requests

||View as Markdown|
GET
https://api.hellosign.com/v3/signature_request/list
GET
/v3/signature_request/list
$curl -X GET 'https://api.hellosign.com/v3/signature_request/list?page=1&page_size=20' \
> -u 'YOUR_API_KEY:'
1{
2 "signature_requests": [
3 {
4 "signature_request_id": "d10338cad145e1cb68afc828",
5 "requester_email_address": "me@dropboxsign.com",
6 "title": "FHA",
7 "original_title": "FHA",
8 "subject": "FHA",
9 "message": "Let me know if you two have any questions.",
10 "metadata": {},
11 "created_at": 1570471067,
12 "is_complete": false,
13 "is_declined": false,
14 "has_error": false,
15 "signing_url": "https://app.hellosign.com/sign/d10338cad145e1cb68afc828",
16 "details_url": "https://app.hellosign.com/home/manage?guid=d10338cad145e1cb68afc828",
17 "cc_email_addresses": [
18 "stan@example.com"
19 ],
20 "signing_redirect_url": null,
21 "custom_fields": [],
22 "response_data": [],
23 "signatures": [
24 {
25 "signature_id": "78caf2a1d01cd39cea2bc1cbb340dac3",
26 "signer_email_address": "george-jetson@example.com",
27 "signer_name": "George Jetson",
28 "signer_role": null,
29 "order": 0,
30 "status_code": "awaiting_signature",
31 "signed_at": null,
32 "last_viewed_at": null,
33 "last_reminded_at": null,
34 "has_pin": false,
35 "has_sms_auth": false
36 },
37 {
38 "signature_id": "616629ed37f8588d28600be17ab5d6b7",
39 "signer_email_address": "jane-jetson@example.com",
40 "signer_name": "Jane Jetson",
41 "signer_role": null,
42 "order": 1,
43 "status_code": "awaiting_signature",
44 "signed_at": null,
45 "last_viewed_at": null,
46 "last_reminded_at": null,
47 "has_pin": false,
48 "has_sms_auth": false
49 }
50 ]
51 },
52 {
53 "signature_request_id": "fa5c8a0b0f492d768749333a",
54 "requester_email_address": "me@dropboxsign.com",
55 "title": "Purchase Agreement",
56 "original_title": "Purchase Agreement",
57 "subject": "Purchase Agreement",
58 "message": "Please sign and return.",
59 "metadata": {},
60 "is_complete": true,
61 "is_declined": false,
62 "has_error": false,
63 "signing_url": null,
64 "details_url": "https://app.hellosign.com/home/manage?guid=fa5c8a0b0f492d768749333a",
65 "cc_email_addresses": [],
66 "signing_redirect_url": null,
67 "custom_fields": [],
68 "response_data": [
69 {
70 "type": "checkbox",
71 "api_id": "uniqueIdHere_1",
72 "signature_id": "5687fb7bd5aaacb1689728762b600c74",
73 "name": "Needs Express Shipping",
74 "value": true
75 },
76 {
77 "type": "text",
78 "api_id": "uniqueIdHere_2",
79 "signature_id": "5687fb7bd5aaacb1689728762b600c74",
80 "name": "Shipping Address",
81 "value": "1212 Park Avenue"
82 },
83 {
84 "type": "date_signed",
85 "api_id": "uniqueIdHere_3",
86 "signature_id": "5687fb7bd5aaacb1689728762b600c74",
87 "name": "DateSigned",
88 "value": "09/01/2012"
89 }
90 ],
91 "signatures": [
92 {
93 "signature_id": "5687fb7bd5aaacb1689728762b600c74",
94 "signer_email_address": "john@example.com",
95 "signer_name": "John Doe",
96 "signer_role": null,
97 "order": null,
98 "status_code": "signed",
99 "signed_at": 1346521550,
100 "last_viewed_at": 1346521483,
101 "last_reminded_at": null
102 }
103 ]
104 }
105 ],
106 "list_info": {
107 "num_pages": 1,
108 "num_results": 2,
109 "page": 1,
110 "page_size": 20
111 }
112}

Returns a list of SignatureRequests that you can access. This includes SignatureRequests you have sent as well as received, but not ones that you have been CCed on.

Take a look at our search guide to learn more about querying signature requests.

Was this page helpful?
Previous

Get Signature Request

Next

Download Files

Built with

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer
You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

Query parameters

account_idstringOptional

Which account to return SignatureRequests for. Must be a team member. Use all to indicate all team members. Defaults to your account.

pageintegerOptionalDefaults to 1

Which page number of the SignatureRequest List to return. Defaults to 1.

page_sizeintegerOptionalDefaults to 20

Number of objects to be returned per page. Must be between 1 and 100. Default is 20.

querystringOptional

String that includes search terms and/or fields to be used to filter the SignatureRequest objects.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
signature_requestslist of objects
Contains information about signature requests.
list_infoobject
Contains pagination information about the data returned.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error

You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See Authentication for more information. ❌ Not supported by Try it console.